% G.V. Anguelova
% 07-06-2022


%% loop EEG data, met subplot; +save; definitief

for k = 1:length(seizureLocation_selectie) % een figuur voor elk epoch; om layout eerst uit te proberen, te vervangen door: k=1:2

    ymax = max(max(seizureLocation_selectie(k,:,:))); % patient specific
    ymin = min(min(seizureLocation_selectie(k,:,:)));
    for i = 1:18 % 1 subplot for each EEG channel in 'dubbele banaan'
        subplot(18,1,i);
        plot(seizureLocation_selectie(k,:,i))
        hold on
        xlim([0 250]);
        ylim([ymin ymax]);
        xlabel('epoch van 2s')
        ax = gca;
        ax.FontSize = 6;
        ax.Position(4) = 1.5*ax.Position(4);
    end
    
    title(num2str(k))
     pos = get(gcf, 'Position');
     set(gcf, 'Position',pos+[0 0 -400 500])
    set(gca,'YtickLabel',{'Cz-Pz','Fz-Cz','P3-O1','C3-P3','F3-C3','Fp1-F3','P4-O2','C4-P4','F4-C4','Fp2-F4','T5-O1','T3-T5','F7-T3','Fp1-F7','T6-O2','T4-T6','F8-T4','Fp2-F8'});
    set(gca,'XtickLabel',{'0','1','2'});
     outpos = get(gcf, 'OuterPosition');
     set(gcf, 'OuterPosition',outpos+[-500 0 0 0])

     txt = ['Figuur_',num2str(k),'_2023_09_15.png'];
     saveas(gcf,txt)
     close

end

%%

