
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% G.V. Anguelova								%
% 08 november 2022; 20-02-2023 							%
% selectie van EEG epochs die na doorlopen van TWEEDE deep neuraal netwerk	%
% boven een bepaalde probability komen voor waarschijnlijk zijnde een		%
% epileptiforme afwijking							%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% clear
% cd '/Users/galiaanguelova/Downloads/tryout/Ambulatory_Epi'
% load('EEG_pred_2023_02_20_v2.mat', 'EEG_pred')

[prob_val2,prob_idx2]=sort(EEG_pred(:,2)); % van laag naar hoog geordend, value en index
prob_matrix2 = [prob_val2,prob_idx2];
seizureLocation2_selectie = [];
limit_selectie = 0.99;

for k = 1:length(prob_matrix2)
    if prob_matrix2(k,1) > limit_selectie
        seizureLocation2_selectie = cat(1,seizureLocation2_selectie,prob_matrix2(k,:)); % variabele met alleen de geselecteerde indices
    end
end


